using FluxGNNs
using Documenter

makedocs(;
    modules=[FluxGNNs],
    authors="",
    repo="https://github.com/ndsdgu/FluxGNNs.jl/blob/{commit}{path}#L{line}",
    sitename="FluxGNNs.jl",
    format=Documenter.HTML(;
        prettyurls=get(ENV, "CI", "false") == "true",
        canonical="https://ndsdgu.github.io/FluxGNNs.jl",
        assets=String[],
    ),
    pages=[
        "Home" => "index.md",
    ],
)

deploydocs(;
    repo="github.com/ndsdgu/FluxGNNs.jl",
)
