module MWE
export gen_complicated_thing, do_para

using Distributed

function complicated_helper()
    return Dict()
end

function gen_complicated_thing(i)
    d = complicated_helper()
    d[i] = i
    if i % 2 == 0
        sleep(1)
    else
        sleep(2)
    end
    return d
end

function do_para(n, numprocs)

    arr = Array{Any}(undef, n)
    Threads.@threads for i in 1:n
        g = gen_complicated_thing(i)
        arr[i] = g
    end
    return arr
end
end

using .MWE
println(gen_complicated_thing(19283))
@time println(do_para(10, 2))
