push!(LOAD_PATH, "../")
using YAML
using SyntheticNoNs
using OrderedCollections

# l1rgms = [gen_sf, gen_geo]
# l1names = ["sf", "geo"]
l1rgms = [gen_sf, gen_geo]
l1names = ["sf", "geo"]

l1namestring = join(l1names, "-")
l1n = 200
l1m = 800
# l2rgms = [gen_sf, gen_geo]
# l2names = ["sf", "geo"]
l2rgms = [gen_sf, gen_geo]
l2names = ["sf", "geo"]
l2namestring = join(l2names, "-")
l2n = 1500
l2m = 10000
l2numgroupsper = 1

acrosspercs = [0.05]
rewirepercs = [0.0]

data = OrderedDict()
# data["l1rgms"] = l1rgms
data["l1models"] = l1names
data["l1n"] = l1n
data["l1m"] = l1m
# data["l2rgms"] = l2rgms
data["l2models"] = l2names
data["l2n"] = l2n
data["l2m"] = l2m
data["l2numgroupsper"] = l2numgroupsper
for acrossperc in acrosspercs
    for rewireperc in rewirepercs
        data["l2acrossperc"] = acrossperc
        data["rewireperc"] = rewireperc
        idstring = "$(l1namestring)_$(l1n)_$(l1m)_$(l2namestring)_$(l2n)_$(l2m)_$(l2numgroupsper)_$(acrossperc)_$(rewireperc)"
        basedir = "data/"
        outdir = "$(basedir)$(idstring)/"
        data["idstring"] = idstring
        data["nondir"] = outdir
        YAML.write_file("scripts/l1l2_config_2mod_$(replace(string(acrossperc), "." => "-"))_$(replace(string(rewireperc), "." => "-")).yml", data)
    end
end
