using Distributed
addprocs(4)

@everywhere function complicated_helper()
    return Dict()
end

@everywhere function gen_complicated_thing(i)
    d = complicated_helper()
    d[i] = i
    sleep(2)
    return d
end

function do_para(n, numprocs)
    arr = pmap(gen_complicated_thing, 1:10)
    return arr
end

println(gen_complicated_thing(19283))
@time println(do_para(10, 2))
println(typeof(do_para(10, 2)))
