#!/bin/bash

# # which NoNs to run the NoN GCN on
arr=( "l1l2_config_2mod_0-05_0-0" )
# # which initial features to use
modes=( "graphlets" )
# # size of hidden layers
chans=( "256" )
# # which random seed for training/val/testing sampling to run the NoN GCN on
seeds=( "0" )
for configf in "${arr[@]}"
do

	for mode in "${modes[@]}"
	do
		for chan in "${chans[@]}"
		do
			for seed in "${seeds[@]}"
			do
				echo $configf
				echo "\t" $mode
				echo "\t\t" $chan
				# # arguments are:
				# # configuration file
				# # initial feature type
				# # size of hidden layers
				# # random seed (for training/val/testing sampling split)
				# # number of epochs to train
				python ./scripts/run_non_gcn.py $configf $mode $chan $seed 1 x
				python ./scripts/run_non_gcn.py $configf $mode $chan $seed 1 ./scripts/non_gcn_bestmodels.txt
			done
		done
	done
done
